Home
Home
  1. Reports
  • Getting started
  • Authentication
  • Webhooks
  • Embeddable Widgets
    • Overview
    • Document Upload Widget
      • UI/UX Best Practices
  • Guides
    • Verifying a new business
    • Verifying bank accounts
    • Supported document types
  • API Reference
    • Submissions
      • Reports
        • List available report templates
          GET
        • Download a report
          GET
      • Create new submission
        POST
      • Get submission
        GET
      • Update submission
        PUT
      • Update submission status
        PUT
      • Run business verification
        POST
      • Get submission checks
        GET
      • Delete submission
        DELETE
    • Documents
      • Public Documents API
        • List documents
        • Upload document
        • Get document
        • Delete document
      • List documents
      • Upload document for submission
      • Get document
      • Delete document
      • Download document file
      • Rerun validations
    • RPC Search
      • Get company with ID
      • Company RFC Lookup
      • Company Name Search
      • Download document
    • Utilities
      • Matcher
        • Run name matching
  1. Reports

List available report templates

Production
https://api.niva.co/v1
Production
https://api.niva.co/v1
GET
https://api.niva.co/v1
/submissions/{id}/report_templates
Returns the report templates on your account that can be used with this submission. Templates are filtered to those whose country matches the submission's country, and are sorted by name.
Use this endpoint to discover which template IDs are valid before requesting a report. The response is a plain array — it is not paginated.

Request

Authorization
Add parameter in header
apiKey
Example:
apiKey: ********************
Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.niva.co/v1/submissions//report_templates' \
--header 'apiKey: <api-key>'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
[
    {
        "id": "string",
        "name": "string",
        "country_code": "string",
        "created_at": "string",
        "updated_at": "string"
    }
]
Previous
Reports
Next
Download a report